Subject: Re: bug#40628: Optimize admin/nt dependency computation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Nov 2021 14:03:16 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 12 Nov 2021 10:23:17 +0100
> Cc: [email-masked], phillip lord <[email-masked]>
> 
> I tested it myself, and it brought the generation time down from ~3
> minutes to about 20 seconds, so I've applied the patch.  I don't see any
> difference in the results, but then again, if failed with this both
> before and after the change:
> 
> subprocess.CalledProcessError: Command 'wget -a ../download.log -O ../emacs-src-cache/mingw-w64-libtiff-4.3.0-6.src.tar.gz https://sourceforge.net/projects/msys2/files/REPOS/MINGW/Sources/mingw-w64-libtiff-4.3.0-6.src.tar.gz/download' returned non-zero exit status 8.

According to my records, 8 means "Server issued an error response".
Whatever that means.